org.apache.ignite.streamer.index

## Class StreamerIndexUpdateSync

- java.lang.Object
- - org.apache.ignite.streamer.index.StreamerIndexUpdateSync

    public class StreamerIndexUpdateSync
    extends Object

Streamer index update synchronizer.

Used in `StreamerIndexProvider` to synchronize operations on window index.

See Also:
  `StreamerIndexProvider`

### Constructor Summary

Constructors
Constructor and Description
`StreamerIndexUpdateSync()`

### Method Summary

Methods
`int` `await()` Waits for a notification from another thread, which should call `finish(int)` with an operation result.
`void` `finish(int res)` Notifies all waiting threads to finish waiting.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamerIndexUpdateSync

    public StreamerIndexUpdateSync()

### Method Detail

#### await

    public int await()
              throws InterruptedException

Waits for a notification from another thread, which should call `finish(int)` with an operation result. That result is returned by this method.

Returns:
  Operation results, passed to `finish(int)`.
Throws:
  `InterruptedException` - If wait was interrupted.

#### finish

    public void finish(int res)

Notifies all waiting threads to finish waiting.

Parameters:
  `res` - Operation result to return from `await()`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015